package com.ankaibei.workFlow.webadmin.ankaibei.entity;

import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.NoArgsConstructor;

import javax.persistence.*;

/**
 * @author
 * @version 1.0
 * @description:
 * @date 2022/9/26 10:50
 */
@Builder(toBuilder = true)
@NoArgsConstructor
@AllArgsConstructor
@Entity
@Table(name = "login_token", schema = "ankaibei")
public class LoginTokenEntity {
        /**
         *  用户id
         */
        @Id
        @Column(name = "user_id")
        private Integer userId;
        /**
         *  用户token
         */
        @Column(name = "user_token")
        private String userToken;

        public Integer getUserId() {
                return userId;
        }

        public void setUserId(Integer userId) {
                this.userId = userId;
        }

        public String getUserToken() {
                return userToken;
        }

        public void setUserToken(String userToken) {
                this.userToken = userToken;
        }

        @Override
        public String toString() {
                return "LoginTokenEntity{" +
                        "userId=" + userId +
                        ", userToken='" + userToken + '\'' +
                        '}';
        }
}
